[Numpy-discussion] trouble on tru64

N Shimizu norishimi at gmail.com
Thu Jun 29 12:03:47 CDT 2006


Hi everyone,

I tried to build numpy 0.9.8 on compaq alpha tru64 UNIX v5.1 with gcc 4.0.2,
but I encounterd the compilation trouble.
The error message is the following.

Do you have any suggestion?

Thank you in advance.
Shimizu.


numpy/core/src/umathmodule.c.src: In function 'nc_floor_quotl':
numpy/core/src/umathmodule.c.src:600: warning: implicit declaration of
function 'floorl'
numpy/core/src/umathmodule.c.src:600: warning: incompatible implicit
declaration of built-in fu
nction 'floorl'
....
numpy/core/src/umathmodule.c.src: In function 'LONGDOUBLE_floor_divide':
numpy/core/src/umathmodule.c.src:1050: warning: incompatible implicit
declaration of built-in f
unction 'floorl'
numpy/core/src/umathmodule.c.src: In function 'CLONGDOUBLE_absolute':
numpy/core/src/umathmodule.c.src:1319: warning: incompatible implicit
declaration of built-in f
unction 'sqrtl'
....

build/src.osf1-V5.1-alpha-2.4/numpy/core/__umath_generated.c: At top level:
build/src.osf1-V5.1-alpha-2.4/numpy/core/__umath_generated.c:15:
error: 'acosl' undeclared here
 (not in a function)
build/src.osf1-V5.1-alpha-2.4/numpy/core/__umath_generated.c:18:
error: 'acoshf' undeclared her
e (not in a function)
...




More information about the Numpy-discussion mailing list